Subject: bug#7197: 23.2; Cannot print the Euro-Symbol

From: Kenichi Handa <[email-masked]>
Date: Thu, 14 Oct 2010 11:16:56 +0900

In article <[email-masked]>, "Rommerskirchen, Heinrich (NSN - DE/Munich)" <[email-masked]> writes:
> Create a new file containing just the Euro symbol. Save it, it is saved
> by default as utf-8. Print it with ps-print-buffer-with-faces
> (ps-spool-buffer-with-faces gives same results), the paper output
> contains
> a dollar symbol. If you store it with encoding latin-0, the print
> contains
> instead a question mark. Checking, I find that the same happens with the
> emacs 23.1 contained in my GNU/Linux distribution (OpenSuSE 11.1).

> In emacs 22.x printing worked after I added the following to my startup
> files
>     (setq ps-mule-font-info-database-default
>           '((latin-iso8859-15 (normal nil nil iso-latin-9))
>             (latin-iso8859-1  (normal nil nil iso-latin-1))))
> -- I copied this from Usenet not understanding much of emacs coding
> systems

I don't know why you can print Euro sign by that setting.
With the above setting, both EURO SIGN and CURRENCY SIGN are
encoded to the same byte #xA4, and usually it should be
printed as CURRENCY SIGN.

If you still have Emcas 22, please do:
  C-u M-x ps-print-buffer RET ~/temp.ps RET
and send me ~/temp.ps.

> -- but this is not accepted by emacs 23.x on GNU/Linux; on
> printing it produces the error message
>  "charset-dimension: Wrong type argument: charsetp, iso-latin-9" and
> doesn't send anything to the printer. describe-coding-system knows
> iso-latin-9.

I've just fixed that bug; i.e. the bug of signalling an error.

> Under MS Windows XP I get with emacs -Q always just a question mark,
> independent of file encoding. But with my startup files containing the
> above 'setq..' I am able to print the same file (and any other file,
> too)
> just fine, without getting any error message. (Here I use the binary
> ftp://ftp.gnu.org/gnu/emacs/windows/emacs-23.2-bin-i386.zip, downloaded
> on May,11th)

With that Emacs, please do:
  C-u M-x ps-print-buffer RET ~/temp2.ps RET
and send me ~/temp2.ps.

---
Kenichi Handa
[email-masked]